Skip to main content
GET
/
v1
/
books
List books
curl --request GET \
  --url https://api.slant.app/v1/books \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "abc123xyz",
      "name": "John's Book",
      "role": "principal",
      "users": [
        {
          "id": "abc123xyz",
          "email": "user@example.com",
          "first_name": "John",
          "last_name": "Doe",
          "role": "contributor",
          "api_access": {
            "auth_type": "personal_access_token",
            "scope": "read_write"
          }
        }
      ],
      "tiers": [
        {
          "value": 1,
          "label": "A-tier"
        }
      ],
      "teams": [
        {
          "id": "<string>",
          "name": "Advisory Team"
        }
      ]
    }
  ],
  "pagination": {
    "current_page": 1,
    "total_pages": 10,
    "total_count": 100,
    "per_page": 25
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.slant.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Query Parameters

page
integer

Page number

per_page
integer

Items per page (1-100, default: 25). Values over 100 will be clamped to 100.

Required range: 1 <= x <= 100

Response

successful

data
object[]
required
pagination
object
required